Bug 118718 - RPM install doesn't stop in case of user can' be added
RPM install doesn't stop in case of user can' be added
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-19 09:41 EST by Peter Bieringer
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: squid-2.5.STABLE5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 17:25:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2004-03-19 09:41:09 EST
Description of problem:
In case of user squid cannot be added during installing RPM, many
things going wrong.

Version-Release number of selected component (if applicable):
squid-2.5.STABLE1-2

How reproducible:
Always

Steps to Reproduce:
1. Let passwd,group,shadow,gshadow in lock state (*.lock)
2. Install squid

    

Actual Results:  Problems, squid claim about user squid doesn't exist
on start



Expected Results:  Catching the fault

Additional info:

Problem is around here:

# rpm -q --scripts squid
preinstall scriptlet (through /bin/sh):
/usr/sbin/useradd -u 23 -d /var/spool/squid -r -s /dev/null squid
>/dev/null 2>&1

-> missing error catching if user cannot be created
Comment 1 Jay Fenlason 2004-04-05 17:25:56 EDT
I included a patch for this in the latest rawhide squid rpm

Note You need to log in before you can comment on or make changes to this bug.